%define anolis_release 1

Name:           vault
# NOTE: if you update version, *make sure* to also update `vault/__init__.py`
Version:        0.0.3
Release:        %{anolis_release}%{?dist}
Summary:        Secrets storage for automated tasks

License:        GPLv2+
URL:            https://pagure.io/taskotron/vault
Source0:        https://releases.pagure.org/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

Requires:       python3-alembic
Requires:       python3-flask
Requires:       python3-flask-httpauth
Requires:       python3-flask-login
Requires:       python3-flask-wtf
Requires:       python3-flask-oidc
Requires:       python3-flask-restful
Requires:       python3-flask-sqlalchemy
Requires:       python3-crypto
Requires:       python3-munch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
Vault stores and controls encrypted data like passwords,
API keys or other secrets.
Implements bucket-based access control, and secret versioning.
%prep
%setup -q

%check
# This seems to be the only place where we can remove pyco files, see:
# https://fedoraproject.org/wiki/Packaging:Python#Byte_compiling
rm -f %{buildroot}%{_sysconfdir}/vault/*.py{c,o}

%build
%py3_build

%install
%py3_install

# apache and wsgi settings
install -d %{buildroot}%{_datadir}/vault/conf
install -p -m 0644 conf/vault.conf %{buildroot}%{_datadir}/vault/conf/
install -p -m 0644 conf/vault.wsgi %{buildroot}%{_datadir}/vault/

# alembic config and data
cp -r --preserve=timestamps alembic %{buildroot}%{_datadir}/vault/
install -p -m 0644 alembic.ini %{buildroot}%{_datadir}/vault/

# vault config
install -d %{buildroot}%{_sysconfdir}/vault
install -p -m 0644 conf/settings.py.example %{buildroot}%{_sysconfdir}/vault/settings.py

%files
%doc README.md
%license LICENSE
%{python3_sitelib}/vault
%{python3_sitelib}/*.egg-info

%{_bindir}/vault
%dir %{_sysconfdir}/vault
%config(noreplace) %{_sysconfdir}/vault/settings.py
%dir %{_datadir}/vault
%{_datadir}/vault/*


%changelog
* Mon Jul 17 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.0.3-1
- Init upstream from version 0.0.3
